{-# LANGUAGE PatternSynonyms, ScopedTypeVariables, ViewPatterns #-}


{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Vte.Constants
    ( 
    pattern SPAWN_NO_PARENT_ENVV            ,
    pattern MINOR_VERSION                   ,
    pattern MICRO_VERSION                   ,
    pattern MAJOR_VERSION                   ,

    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Vte.Types
import GI.Vte.Callbacks


pattern SPAWN_NO_PARENT_ENVV = 33554432 :: Int32


pattern MINOR_VERSION = 42 :: Int32


pattern MICRO_VERSION = 3 :: Int32


pattern MAJOR_VERSION = 0 :: Int32


