module GI.Vte.Objects.Terminal where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype Terminal = Terminal (ForeignPtr Terminal)
instance GObject Terminal where
class GObject o => TerminalK o
instance (GObject o, IsDescendantOf Terminal o) => TerminalK o
data TerminalAllowBoldPropertyInfo
data TerminalAudibleBellPropertyInfo
data TerminalBackspaceBindingPropertyInfo
data TerminalCjkAmbiguousWidthPropertyInfo
data TerminalCurrentDirectoryUriPropertyInfo
data TerminalCurrentFileUriPropertyInfo
data TerminalCursorBlinkModePropertyInfo
data TerminalCursorShapePropertyInfo
data TerminalDeleteBindingPropertyInfo
data TerminalEncodingPropertyInfo
data TerminalFontDescPropertyInfo
data TerminalFontScalePropertyInfo
data TerminalIconTitlePropertyInfo
data TerminalInputEnabledPropertyInfo
data TerminalPointerAutohidePropertyInfo
data TerminalPtyPropertyInfo
data TerminalRewrapOnResizePropertyInfo
data TerminalScrollOnKeystrokePropertyInfo
data TerminalScrollOnOutputPropertyInfo
data TerminalScrollbackLinesPropertyInfo
data TerminalWindowTitlePropertyInfo
data TerminalWordCharExceptionsPropertyInfo
data TerminalBellSignalInfo
data TerminalCharSizeChangedSignalInfo
data TerminalChildExitedSignalInfo
data TerminalCommitSignalInfo
data TerminalContentsChangedSignalInfo
data TerminalCopyClipboardSignalInfo
data TerminalCurrentDirectoryUriChangedSignalInfo
data TerminalCurrentFileUriChangedSignalInfo
data TerminalCursorMovedSignalInfo
data TerminalDecreaseFontSizeSignalInfo
data TerminalDeiconifyWindowSignalInfo
data TerminalEncodingChangedSignalInfo
data TerminalEofSignalInfo
data TerminalIconTitleChangedSignalInfo
data TerminalIconifyWindowSignalInfo
data TerminalIncreaseFontSizeSignalInfo
data TerminalLowerWindowSignalInfo
data TerminalMaximizeWindowSignalInfo
data TerminalMoveWindowSignalInfo
data TerminalNotificationReceivedSignalInfo
data TerminalPasteClipboardSignalInfo
data TerminalRaiseWindowSignalInfo
data TerminalRefreshWindowSignalInfo
data TerminalResizeWindowSignalInfo
data TerminalRestoreWindowSignalInfo
data TerminalSelectionChangedSignalInfo
data TerminalTextDeletedSignalInfo
data TerminalTextInsertedSignalInfo
data TerminalTextModifiedSignalInfo
data TerminalTextScrolledSignalInfo
data TerminalWindowTitleChangedSignalInfo
data TerminalCopyClipboardMethodInfo
data TerminalCopyPrimaryMethodInfo
data TerminalFeedMethodInfo
data TerminalFeedChildMethodInfo
data TerminalFeedChildBinaryMethodInfo
data TerminalGetAllowBoldMethodInfo
data TerminalGetAudibleBellMethodInfo
data TerminalGetCharHeightMethodInfo
data TerminalGetCharWidthMethodInfo
data TerminalGetCjkAmbiguousWidthMethodInfo
data TerminalGetColumnCountMethodInfo
data TerminalGetCurrentDirectoryUriMethodInfo
data TerminalGetCurrentFileUriMethodInfo
data TerminalGetCursorBlinkModeMethodInfo
data TerminalGetCursorPositionMethodInfo
data TerminalGetCursorShapeMethodInfo
data TerminalGetEncodingMethodInfo
data TerminalGetFontMethodInfo
data TerminalGetFontScaleMethodInfo
data TerminalGetGeometryHintsMethodInfo
data TerminalGetHasSelectionMethodInfo
data TerminalGetIconTitleMethodInfo
data TerminalGetInputEnabledMethodInfo
data TerminalGetMouseAutohideMethodInfo
data TerminalGetPtyMethodInfo
data TerminalGetRewrapOnResizeMethodInfo
data TerminalGetRowCountMethodInfo
data TerminalGetTextMethodInfo
data TerminalGetTextIncludeTrailingSpacesMethodInfo
data TerminalGetTextRangeMethodInfo
data TerminalGetWindowTitleMethodInfo
data TerminalGetWordCharExceptionsMethodInfo
data TerminalMatchAddGregexMethodInfo
data TerminalMatchCheckMethodInfo
data TerminalMatchCheckEventMethodInfo
data TerminalMatchRemoveMethodInfo
data TerminalMatchRemoveAllMethodInfo
data TerminalMatchSetCursorNameMethodInfo
data TerminalMatchSetCursorTypeMethodInfo
data TerminalPasteClipboardMethodInfo
data TerminalPastePrimaryMethodInfo
data TerminalPtyNewSyncMethodInfo
data TerminalResetMethodInfo
data TerminalSearchFindNextMethodInfo
data TerminalSearchFindPreviousMethodInfo
data TerminalSearchGetGregexMethodInfo
data TerminalSearchGetWrapAroundMethodInfo
data TerminalSearchSetGregexMethodInfo
data TerminalSearchSetWrapAroundMethodInfo
data TerminalSelectAllMethodInfo
data TerminalSetAllowBoldMethodInfo
data TerminalSetAudibleBellMethodInfo
data TerminalSetBackspaceBindingMethodInfo
data TerminalSetCjkAmbiguousWidthMethodInfo
data TerminalSetColorBackgroundMethodInfo
data TerminalSetColorBoldMethodInfo
data TerminalSetColorCursorMethodInfo
data TerminalSetColorForegroundMethodInfo
data TerminalSetColorHighlightMethodInfo
data TerminalSetColorHighlightForegroundMethodInfo
data TerminalSetColorsMethodInfo
data TerminalSetCursorBlinkModeMethodInfo
data TerminalSetCursorShapeMethodInfo
data TerminalSetDefaultColorsMethodInfo
data TerminalSetDeleteBindingMethodInfo
data TerminalSetEncodingMethodInfo
data TerminalSetFontMethodInfo
data TerminalSetFontScaleMethodInfo
data TerminalSetGeometryHintsForWindowMethodInfo
data TerminalSetInputEnabledMethodInfo
data TerminalSetMouseAutohideMethodInfo
data TerminalSetPtyMethodInfo
data TerminalSetRewrapOnResizeMethodInfo
data TerminalSetScrollOnKeystrokeMethodInfo
data TerminalSetScrollOnOutputMethodInfo
data TerminalSetScrollbackLinesMethodInfo
data TerminalSetSizeMethodInfo
data TerminalSetWordCharExceptionsMethodInfo
data TerminalSpawnSyncMethodInfo
data TerminalUnselectAllMethodInfo
data TerminalWatchChildMethodInfo
data TerminalWriteContentsSyncMethodInfo
